package envoy.client.ui;

import javafx.fxml.FXML;
import javafx.scene.control.*;

import envoy.client.data.Settings;

/**
 * Project: <strong>envoy-client</strong><br>
 * File: <strong>SettingsSceneController.java</strong><br>
 * Created: <strong>10.04.2020</strong><br>
 * 
 * @author Kai S. K. Engelbart
 * @since Envoy Client v0.1-beta
 */
public class SettingsSceneController {

	@FXML
	private ListView<SettingsPane> settingsList;

	@FXML
	private TitledPane titledPane;

	private static final Settings settings = Settings.getInstance();

	@FXML
	private void initialize() {
		settingsList.setCellFactory(listView -> new ListCell<>() {

			@Override
			protected void updateItem(SettingsPane item, boolean empty) { if (!empty && item != null) setGraphic(new Label(item.getTitle())); };
		});
	}

	@FXML
	private void settingsListClicked() {
		final var pane = settingsList.getSelectionModel().getSelectedItem();
		titledPane.setText(pane.getTitle());
		titledPane.setContent(pane);
	}
}
